// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;
import frc.robot.subsystems.Accumulateur;


import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Lanceur;

public class Force3 extends CommandBase {

  private Lanceur lanceur;
  private Accumulateur accumulateur;
  GenericEntry force3;
  
  /** Creates a new Force1. */
  public Force3(Lanceur lanceur,GenericEntry force3, Accumulateur accumulateur) {
    this.lanceur = lanceur;
    addRequirements(lanceur, accumulateur);
    this.force3 = force3; 
    this.accumulateur = accumulateur;
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    lanceur.setPID(0, 0, 0);
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {

    double vitesse = (300);
    lanceur.lancer(force3.getDouble(300));
      if (lanceur.vitesse() > vitesse ){
        accumulateur.tourneavant();
        accumulateur.tournearriere();
        } else {
          accumulateur.stop();
        }
    }
    @Override
    public boolean isFinished() {
      return false;
    }
  }
