// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystems;


import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;


import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class Accumulateur extends SubsystemBase {
  private WPI_TalonSRX moteuracc = new WPI_TalonSRX(Constants.accumulateur);
  /** Creates a new Accumulateur. */
  public Accumulateur() {
    
  }
  public void Deaccumuler(){
    moteuracc.set(0.5);
  }
  public void reaccumuler(){
    moteuracc.set(-0.5);
  }
  public double tourneavant(){
    return(moteuracc.getSelectedSensorPosition());
  }

  public double tournearriere(){
    return(moteuracc.getSelectedSensorPosition());
  }
  
  public void stop(){
    moteuracc.set(0);
  }

   public double distance() {
   return(moteuracc.getSelectedSensorPosition());
   }
   public void Reset() {
   moteuracc.setSelectedSensorPosition(0);
   }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
